#!/bin/bash
#
# Script for configuring the underlying application.
#
# Copyright (c) 2011-2013, ZIH, TU Dresden, Federal Republic of Germany.
# For details, see the files COPYING and LICENSE in the base directory
# of the package.

#SBATCH -N24
#SBATCH -n384
#SBATCH --output=HeatEqnFDM_t_gcc480_release_VRST_0384_128_128_8192_d001_mpi2_20130731d.out
#SBATCH --error=HeatEqnFDM_t_gcc480_release_VRST_0384_128_128_8192_d001_mpi2_20130731d.err
#SBATCH --job-name=HeatEqnFDM   # Name of job
#SBATCH --time=04:00:00         # Time limit in minutes
###SBATCH --mem-per-cpu=2048    # Memory in MB per process
#SBATCH --partition=mpi2        # Type of nodes where job should be executed

declare -i  local SCAFES_SPACE_DIM=3
declare -i  local SCAFES_N_TESTS_MPI=2
declare -i  local SCAFES_N_TESTS_OPENMP=1
declare -i  local SCAFES_N_PROCESSES_MPI_START=1
declare -i  local SCAFES_N_THREADS_OPENMP_START=1
declare     local SCAFES_TEST_FOR_WEAK_SCALING="no"
declare -ai local SCAFES_N_NODES=(128 128 16)
declare -ai local SCAFES_PARTITION_GRID=(0 0 1)
declare -ai local SCAFES_COORD_NODE_FIRST=(0 0 0)
declare -ai local SCAFES_COORD_NODE_LAST=(1 1 1)
declare -i  local SCAFES_N_TIMESTEPS=20
declare -i  local SCAFES_N_SNAPSHOTS=1
declare -i  local SCAFES_START_TIME=0
declare -i  local SCAFES_END_TIME=1
declare     local SCAFES_NAME_KINDFILE=""
declare     local SCAFES_NAME_CONFIGFILE=""
declare     local SCAFES_DEBUG_APPLICATION="no"
declare -i  local SCAFES_OUTPUT_LEVEL=2

source ./executeScafesApplication.sh $(basename $PWD)
